{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Feedback Format
{% endblock %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-book"></i>
                Feedback Format View
            </h2>
            <ul class="nav navbar-right panel_toolbox">
                <li><a class="save btn1 btn-indigo" href="{% url 'setFeedbackFormat' %}">Create Format</a>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                {% if moreThanOneActive %}
                    <div role="alert" align="center" class="alert alert-danger alert-dismissible fade in">
                        <h4 style="color: black"> Two Feedback format cannot be active at an instant. </h4>
                        <h4 style="color: black"> Deactivate other to active the format you looking for. </h4>
                    </div>
                {% endif %}
                {% if noQuestionsSet %}
                    <div role="alert" align="center" class="alert alert-warning alert-dismissible fade in">
                        <h4 style="color: black"> Set Questions for the Format using Edit button </h4>
                    </div>
                {% endif %}

                {% if noActiveFormats %}
                    <div role="alert" align="center" class="alert alert-info alert-dismissible fade in">
                        <h4 style="color: black"> No active Feedback format has been Set/Activated </h4>
                    </div>
                {% endif %}
                {% if needEdit %}
                    <div role="alert" align="center" class="alert alert-info alert-dismissible fade in">
                        <h4 style="color: black"> Format has set, use Edit button to set the questions for the created
                            format </h4>
                    </div>
                {% endif %}
                {% if deleteAsActive %}
                    <div role="alert" align="center" class="alert alert-danger alert-dismissible fade in">
                        <h4 style="color: black"> Deletion restricted with format activated </h4>
                    </div>
                {% endif %}
                {% if deleteApastRecord %}
                    <div role="alert" align="center" class="alert alert-danger alert-dismissible fade in">
                        <h4 style="color: black"> Editing Feedback format for the past Active Records is not allowed </h4>
                    </div>
                {% endif %}
            </div>
            <div>
                <table class="table table-hover table-striped" style="table-layout:fixed">
                    <thead>
                    <tr>
                        <th style="word-wrap: break-word">S. No.</th>
                        <th style="word-wrap: break-word">Format Name</th>
                        <th style="word-wrap: break-word">Questions</th>
                        <th style="word-wrap: break-word">Categories</th>
                        <th style="word-wrap: break-word">Status</th>
                    </tr>
                    </thead>
                    <tbody id="content">
                    <form method="POST">{% csrf_token %}
                        {% for format in formatList %}
                            <tr>
                                <td style="word-wrap: break-word">{{ forloop.counter }}</td>
                                <td style="word-wrap: break-word">{{ format.formatName }}</td>
                                <td style="word-wrap: break-word">{{ format.noOfQuestions }}</td>
                                <td style="word-wrap: break-word">{{ format.noOfCategories }}</td>
                                {% if format.isLive %}
                                    <td style="word-wrap: break-word"><i class="fa fa-check">Live</i></td>
                                {% else %}
                                    <td style="word-wrap: break-word"><i class="fa fa-times"></i></td>
                                {% endif %}
                                <td>
                                    <!--<button type="button" class="btn1-sm btn1-danger" data-toggle="modal"-->
                                            <!--data-target="#myModaldel{{ format.pk }}" value="{{ format.pk }}">-->
                                        <!--Delete-->
                                    <!--</button>-->
                                    <div class="modal" id="myModaldel{{ format.pk }}" tabindex="-1" role="dialog"
                                         aria-labelledby="myModalLabel1" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                    <h4 class="modal-title" id="myModalLabel1">
                                                        Delete Confirmation
                                                    </h4>
                                                </div>
                                                <div class="modal-body">
                                                    <h4>
                                                        <ul>
                                                            <li>
                                                                This will delete the chosen format.
                                                            </li>
                                                            <br>
                                                            <li style="color: red">
                                                                <strong>DELETING WILL DELETE THE FEEDBACKS GIVEN BY THE STUDENTS</strong>
                                                            </li>
                                                            <br>
                                                            <li>Are you sure?</li>
                                                        </ul>
                                                    </h4>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn1 btn1-secondary"
                                                            data-dismiss="modal">
                                                        Close
                                                    </button>
                                                    <button type="submit" name="deleteFormat"
                                                            value="{{ format.pk }}"
                                                            class="btn1 btn1-danger">Delete
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    {% if format.isPast%}
                                        <p class="btn1-sm btn-orange">NoEdit</p>
                                    {% else %}
                                        <input class="btn1-sm btn-orange" type="submit" name="edit-{{ format.pk }}"
                                           value="Edit"></td>
                                    {% endif %}

                                <td>
                                    {% if format.isLive %}
                                        <button type="button" class="btn1-sm btn1-danger" data-toggle="modal"
                                                data-target="#myModaledit{{ format.pk }}" value="{{ format.pk }}">
                                            Deactivate
                                        </button>
                                        <div class="modal" id="myModaledit{{ format.pk }}" tabindex="-1" role="dialog"
                                             aria-labelledby="myModalLabel1" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                        <h4 class="modal-title" id="myModalLabel1">
                                                            Deactivate Confirmation
                                                        </h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <h4>
                                                            <ul>
                                                                <li>
                                                                    This will deactivate the chosen format.
                                                                </li>
                                                                <br>
                                                                <li>Are you sure?</li>
                                                            </ul>
                                                        </h4>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn1 btn1-secondary"
                                                                data-dismiss="modal">
                                                            Close
                                                        </button>
                                                        <button type="submit" name="updateActivation"
                                                                value="{{ format.pk }}"
                                                                class="btn1 btn1-danger">Save
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    {% else %}
                                        <button type="button" class="btn1-sm btn1-success" data-toggle="modal"
                                                data-target="#myModal{{ format.pk }}" value="{{ format.pk }}">
                                            Activate
                                        </button>
                                        <div class="modal" id="myModal{{ format.pk }}" tabindex="-1" role="dialog"
                                             aria-labelledby="myModalLabel1" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                        <h4 class="modal-title" id="myModalLabel1">
                                                            Activate Confirmation
                                                        </h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <h4>
                                                            <ul>
                                                                <li>
                                                                    This will activate the chosen format.
                                                                </li><br>
                                                                {% if format.isPast %}
                                                                    <li>This form cant be Edited</li>
                                                                    <li>If you want to edit questions, create new format and do</li>
                                                                {% endif %}
                                                                <br>
                                                                <li>Are you sure?</li>
                                                            </ul>
                                                        </h4>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn1 btn1-secondary"
                                                                data-dismiss="modal">
                                                            Close
                                                        </button>
                                                        <button type="submit" name="updateActivation"
                                                                value="{{ format.pk }}"
                                                                class="btn1 btn-dark-green">Save
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    {% endif %}
                                </td>

                                <!-- Modal -->

                            </tr>
                        {% endfor %}
                    </form>
                    </tbody>
                </table>
            </div>
        </div>

    </div>


{% endblock %}